Name:		ksnip
Version:	1.10.1
Release:	%mkrel 3
Summary:	Screenshot tool
License:	GPL-3.0
Group:		Graphical desktop/KDE
URL:		https://github.com/ksnip/ksnip
Source:		https://github.com/ksnip/ksnip/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	extra-cmake-modules
BuildRequires:	gcc-c++
BuildRequires:	cmake(kColorPicker-Qt5) >= 0.2.0
BuildRequires:	cmake(kImageAnnotator-Qt5) >= 0.6.1
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb-xfixes)

%description
Ksnip is a Qt based cross-platform screenshot tool that provides many
annotation features for your screenshots.

%prep
%autosetup -p1

sed -i 's/find_package(kImageAnnotator/find_package(kImageAnnotator-Qt5/g' CMakeLists.txt
sed -i 's/find_package(kColorPicker/find_package(kColorPicker-Qt5/g' CMakeLists.txt
sed -i 's/kColorPicker::kColorPicker/kColorPicker::kColorPicker-Qt5/g' src/CMakeLists.txt

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt

%files
%license LICENSE.txt
%doc CHANGELOG.md CODINGSTYLE.md README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_metainfodir}/org.ksnip.%{name}.appdata.xml
%{_datadir}/applications/org.ksnip.%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.10.1-3.mga10
+ Revision: 2221159
- Mageia 10 Mass Rebuild

* Thu Jan 25 2024 daviddavid <daviddavid> 1.10.1-2.mga10
+ Revision: 2034177
- rebuild for new kimageannotator 0.7.0 and kcolorpicker 0.3.0

* Mon Apr 03 2023 daviddavid <daviddavid> 1.10.1-1.mga9
+ Revision: 1951333
- new version: 1.10.1

* Thu Sep 01 2022 papoteur <papoteur> 1.10.0-1.mga9
+ Revision: 1883358
- new 1.10.0

* Tue Apr 05 2022 umeabot <umeabot> 1.9.0-2.mga9
+ Revision: 1844485
- Mageia 9 Mass Rebuild

* Wed May 26 2021 daviddavid <daviddavid> 1.9.0-1.mga9
+ Revision: 1728287
- new version: 1.9.0

* Sat Mar 27 2021 daviddavid <daviddavid> 1.8.2-1.mga9
+ Revision: 1710836
- new version: 1.8.2

* Thu Feb 25 2021 daviddavid <daviddavid> 1.8.1-1.mga9
+ Revision: 1690675
- new version: 1.8.1

* Thu Dec 17 2020 umeabot <umeabot> 1.8.0-2.mga8
+ Revision: 1658813
- Rebuild for new Qt5

* Mon Dec 14 2020 daviddavid <daviddavid> 1.8.0-1.mga8
+ Revision: 1657332
- new version: 1.8.0

* Sun Aug 02 2020 daviddavid <daviddavid> 1.7.3-1.mga8
+ Revision: 1610550
- new version: 1.7.3

* Fri Jun 26 2020 daviddavid <daviddavid> 1.7.1-1.mga8
+ Revision: 1599332
- new version: 1.7.1

* Fri Jun 19 2020 daviddavid <daviddavid> 1.7.0-1.mga8
+ Revision: 1597023
- new version: 1.7.0

* Wed May 06 2020 daviddavid <daviddavid> 1.6.2-1.mga8
+ Revision: 1580972
- new version: 1.6.2

* Fri Apr 03 2020 daviddavid <daviddavid> 1.6.1-1.mga8
+ Revision: 1564109
- initial package ksnip (mga#26423)

